/*-----------------------------------------------------------------------------------*
 * Colour fader.
 * Randomly interpolates between a series of colours with a given period.
 *
 * Created by Daniel Jones, 2009
 * http://www.erase.net/
 *-----------------------------------------------------------------------------------*/
 
ColourFader fader;

color [] colours =
{
  0x00CAA9,
  0x0072D4,
  0x9053CF,
  0xB3006A,
  0xC71800,
  0x077F00,
  0xFF6200,
  0xFFB61F
};

void setup()
{
  size(600, 600);
  frameRate(60);
  
  fader = new ColourFader(colours);
}

void draw()
{
  background(fader.get());
}

void mouseMoved()
{
  fader.period = (int) map(mouseX, 0, width, 10, 200);
}
